Meet PaneFlow: Build Stunning Slideshows Visually. No Code Required

Timeline Vue Component

There is no specific Timeline Vue Component, you need to use core Timeline component.

Examples

Vertical Timeline

timeline-vertical.vue
<template>
  <f7-page>
    <f7-navbar title="Vertical Timeline"></f7-navbar>
    <f7-block-title>Default</f7-block-title>
    <div class="timeline">
      <div class="timeline-item">
        <div class="timeline-item-date">21 <small>DEC</small></div>
        <div class="timeline-item-divider"></div>
        <div class="timeline-item-content">
          <div class="timeline-item-inner">Some text goes here</div>
        </div>
      </div>
      <div class="timeline-item">
        <div class="timeline-item-date">22 <small>DEC</small></div>
        <div class="timeline-item-divider"></div>
        <div class="timeline-item-content">
          <div class="timeline-item-inner">Another text goes here</div>
        </div>
      </div>
      <div class="timeline-item">
        <div class="timeline-item-date">23 <small>DEC</small></div>
        <div class="timeline-item-divider"></div>
        <div class="timeline-item-content">
          <div class="timeline-item-inner">
            Lorem ipsum dolor sit amet, consectetur adipisicing elit. Dolor fugiat ipsam hic porro
            enim, accusamus perferendis, quas commodi alias quaerat eius nemo deleniti. Odio quasi
            quos quis iure, aperiam pariatur?
          </div>
        </div>
      </div>
      <div class="timeline-item">
        <div class="timeline-item-date">24 <small>DEC</small></div>
        <div class="timeline-item-divider"></div>
        <div class="timeline-item-content">
          <div class="timeline-item-inner">One more text here</div>
        </div>
      </div>
    </div>
    <f7-block-title>Side By Side</f7-block-title>
    <div class="timeline timeline-sides">
      <div class="timeline-item">
        <div class="timeline-item-date">21 <small>DEC</small></div>
        <div class="timeline-item-divider"></div>
        <div class="timeline-item-content">
          <div class="timeline-item-inner">Some text goes here</div>
        </div>
      </div>
      <div class="timeline-item">
        <div class="timeline-item-date">22 <small>DEC</small></div>
        <div class="timeline-item-divider"></div>
        <div class="timeline-item-content">
          <div class="timeline-item-inner">Another text goes here</div>
        </div>
      </div>
      <div class="timeline-item">
        <div class="timeline-item-date">23 <small>DEC</small></div>
        <div class="timeline-item-divider"></div>
        <div class="timeline-item-content">
          <div class="timeline-item-inner">Just plain text</div>
        </div>
      </div>
      <div class="timeline-item">
        <div class="timeline-item-date">24 <small>DEC</small></div>
        <div class="timeline-item-divider"></div>
        <div class="timeline-item-content">
          <div class="timeline-item-inner">One more text here</div>
        </div>
      </div>
    </div>
    <f7-block-title>Only Tablet Side By Side</f7-block-title>
    <div class="timeline medium-sides">
      <div class="timeline-item">
        <div class="timeline-item-date">21 <small>DEC</small></div>
        <div class="timeline-item-divider"></div>
        <div class="timeline-item-content">
          <div class="timeline-item-inner">Some text goes here</div>
        </div>
      </div>
      <div class="timeline-item">
        <div class="timeline-item-date">22 <small>DEC</small></div>
        <div class="timeline-item-divider"></div>
        <div class="timeline-item-content">
          <div class="timeline-item-inner">Another text goes here</div>
        </div>
      </div>
      <div class="timeline-item">
        <div class="timeline-item-date">23 <small>DEC</small></div>
        <div class="timeline-item-divider"></div>
        <div class="timeline-item-content">
          <div class="timeline-item-inner">Just plain text</div>
        </div>
      </div>
      <div class="timeline-item">
        <div class="timeline-item-date">24 <small>DEC</small></div>
        <div class="timeline-item-divider"></div>
        <div class="timeline-item-content">
          <div class="timeline-item-inner">One more text here</div>
        </div>
      </div>
    </div>
    <f7-block-title>Forced Sides</f7-block-title>
    <div class="timeline timeline-sides">
      <div class="timeline-item timeline-item-right">
        <div class="timeline-item-date">21 <small>DEC</small></div>
        <div class="timeline-item-divider"></div>
        <div class="timeline-item-content">
          <div class="timeline-item-inner">Some text goes here</div>
        </div>
      </div>
      <div class="timeline-item timeline-item-right">
        <div class="timeline-item-date">22 <small>DEC</small></div>
        <div class="timeline-item-divider"></div>
        <div class="timeline-item-content">
          <div class="timeline-item-inner">Another text goes here</div>
        </div>
      </div>
      <div class="timeline-item timeline-item-left">
        <div class="timeline-item-date">23 <small>DEC</small></div>
        <div class="timeline-item-divider"></div>
        <div class="timeline-item-content">
          <div class="timeline-item-inner">Just plain text</div>
        </div>
      </div>
      <div class="timeline-item timeline-item-left">
        <div class="timeline-item-date">24 <small>DEC</small></div>
        <div class="timeline-item-divider"></div>
        <div class="timeline-item-content">
          <div class="timeline-item-inner">One more text here</div>
        </div>
      </div>
    </div>
    <f7-block-title>Rich Content</f7-block-title>
    <div class="timeline">
      <div class="timeline-item">
        <div class="timeline-item-date">21 <small>DEC</small></div>
        <div class="timeline-item-divider"></div>
        <div class="timeline-item-content">
          <div class="timeline-item-inner">
            <div class="timeline-item-time">12:56</div>
            <div class="timeline-item-title">Item Title</div>
            <div class="timeline-item-subtitle">Item Subtitle</div>
            <div class="timeline-item-text">
              Lorem ipsum dolor sit amet, consectetur adipisicing elit. Dolor fugiat ipsam hic porro
              enim, accusamus perferendis, quas commodi alias quaerat eius nemo deleniti. Odio quasi
              quos quis iure, aperiam pariatur?
            </div>
            <div class="timeline-item-time">15:07</div>
            <div class="timeline-item-title">Item Title</div>
            <div class="timeline-item-subtitle">Item Subtitle</div>
            <div class="timeline-item-text">
              Lorem ipsum dolor sit amet, consectetur adipisicing elit. Dolor fugiat ipsam hic porro
              enim, accusamus perferendis, quas commodi alias quaerat eius nemo deleniti. Odio quasi
              quos quis iure, aperiam pariatur?
            </div>
          </div>
        </div>
      </div>
      <div class="timeline-item">
        <div class="timeline-item-date">22 <small>DEC</small></div>
        <div class="timeline-item-divider"></div>
        <div class="timeline-item-content">
          <div class="timeline-item-inner">
            <div class="timeline-item-time">12:56</div>
            <div class="timeline-item-title">Item Title</div>
            <div class="timeline-item-subtitle">Item Subtitle</div>
            <div class="timeline-item-text">
              Lorem ipsum dolor sit amet, consectetur adipisicing elit. Dolor fugiat ipsam hic porro
              enim, accusamus perferendis, quas commodi alias quaerat eius nemo deleniti. Odio quasi
              quos quis iure, aperiam pariatur?
            </div>
          </div>
          <div class="timeline-item-inner">
            <div class="timeline-item-time">15:07</div>
            <div class="timeline-item-title">Item Title</div>
            <div class="timeline-item-subtitle">Item Subtitle</div>
            <div class="timeline-item-text">
              Lorem ipsum dolor sit amet, consectetur adipisicing elit. Dolor fugiat ipsam hic porro
              enim, accusamus perferendis, quas commodi alias quaerat eius nemo deleniti. Odio quasi
              quos quis iure, aperiam pariatur?
            </div>
          </div>
        </div>
      </div>
      <div class="timeline-item">
        <div class="timeline-item-date">23 <small>DEC</small></div>
        <div class="timeline-item-divider"></div>
        <div class="timeline-item-content card no-safe-areas">
          <div class="card-header">Card Header</div>
          <div class="card-content card-content-padding">Card Content</div>
          <div class="card-footer">Card Footer</div>
        </div>
      </div>
      <div class="timeline-item">
        <div class="timeline-item-date">24 <small>DEC</small></div>
        <div class="timeline-item-divider"></div>
        <div
          class="timeline-item-content list links-list inset list-strong list-dividers-ios no-safe-areas"
        >
          <ul>
            <li><a>Item 1</a></li>
            <li><a>Item 2</a></li>
            <li><a>Item 3</a></li>
          </ul>
        </div>
      </div>
      <div class="timeline-item">
        <div class="timeline-item-date">25 <small>DEC</small></div>
        <div class="timeline-item-divider"></div>
        <div class="timeline-item-content">Plain text</div>
      </div>
    </div>
    <f7-block-title>Inside Content Block</f7-block-title>
    <div class="block block-strong">
      <div class="timeline">
        <div class="timeline-item">
          <div class="timeline-item-date">21 <small>DEC</small></div>
          <div class="timeline-item-divider"></div>
          <div class="timeline-item-content">
            <div class="timeline-item-inner">Some text goes here</div>
          </div>
        </div>
        <div class="timeline-item">
          <div class="timeline-item-date">22 <small>DEC</small></div>
          <div class="timeline-item-divider"></div>
          <div class="timeline-item-content">
            <div class="timeline-item-inner">Another text goes here</div>
          </div>
        </div>
        <div class="timeline-item">
          <div class="timeline-item-date">23 <small>DEC</small></div>
          <div class="timeline-item-divider"></div>
          <div class="timeline-item-content">
            <div class="timeline-item-inner">
              Lorem ipsum dolor sit amet, consectetur adipisicing elit. Dolor fugiat ipsam hic porro
              enim, accusamus perferendis, quas commodi alias quaerat eius nemo deleniti. Odio quasi
              quos quis iure, aperiam pariatur?
            </div>
          </div>
        </div>
        <div class="timeline-item">
          <div class="timeline-item-date">24 <small>DEC</small></div>
          <div class="timeline-item-divider"></div>
          <div class="timeline-item-content">
            <div class="timeline-item-inner">One more text here</div>
          </div>
        </div>
      </div>
    </div>
  </f7-page>
</template>
<script>
import { f7Navbar, f7Page, f7BlockTitle } from 'framework7-vue';

export default {
  components: {
    f7Navbar,
    f7Page,
    f7BlockTitle,
  },
};
</script>

Horizontal Timeline

timeline-horizontal.vue
<template>
  <f7-page>
    <f7-navbar title="Horizontal Timeline"></f7-navbar>
    <div class="timeline timeline-horizontal timeline-cols-3 medium-timeline-cols-5">
      <div class="timeline-item">
        <div class="timeline-item-date">21 <small>DEC</small></div>
        <div class="timeline-item-content">
          <div class="timeline-item-inner">
            <div class="timeline-item-time">12:56</div>
            <div class="timeline-item-title">Title 1</div>
            <div class="timeline-item-subtitle">Subtitle 1</div>
            <div class="timeline-item-text">
              Lorem ipsum dolor sit amet, consectetur adipisicing elit
            </div>
          </div>
          <div class="timeline-item-inner">
            <div class="timeline-item-time">13:15</div>
            <div class="timeline-item-title">Title 2</div>
            <div class="timeline-item-subtitle">Subtitle 2</div>
            <div class="timeline-item-text">
              Lorem ipsum dolor sit amet, consectetur adipisicing elit
            </div>
          </div>
          <div class="timeline-item-inner">
            <div class="timeline-item-time">14:45</div>
            <div class="timeline-item-text">Do something</div>
          </div>
          <div class="timeline-item-inner">
            <div class="timeline-item-time">16:11</div>
            <div class="timeline-item-text">Do something else</div>
          </div>
        </div>
      </div>
      <div class="timeline-item">
        <div class="timeline-item-date">22 <small>DEC</small></div>
        <div class="timeline-item-content">Plain text goes here</div>
      </div>
      <div class="timeline-item">
        <div class="timeline-item-date">23 <small>DEC</small></div>
        <div class="timeline-item-content">
          <div class="card no-safe-areas">
            <div class="card-header">Card</div>
            <div class="card-content card-content-padding">Card Content</div>
            <div class="card-footer">Card Footer</div>
          </div>
          <div class="card no-safe-areas">
            <div class="card-content card-content-padding">Another Card Content</div>
          </div>
        </div>
      </div>
      <div class="timeline-item">
        <div class="timeline-item-date">24 <small>DEC</small></div>
        <div class="timeline-item-content">
          <div class="list links-list inset list-strong list-dividers-ios no-safe-areas">
            <ul>
              <li><a>Item 1</a></li>
              <li><a>Item 2</a></li>
              <li><a>Item 3</a></li>
            </ul>
          </div>
        </div>
      </div>
      <div class="timeline-item">
        <div class="timeline-item-date">25 <small>DEC</small></div>
        <div class="timeline-item-content">
          <div class="timeline-item-time">11:11</div>
          <div class="timeline-item-text">Task 1</div>
          <div class="timeline-item-time">12:33</div>
          <div class="timeline-item-text">Task 2</div>
          <div class="timeline-item-time">13:24</div>
          <div class="timeline-item-text">Task 3</div>
          <div class="timeline-item-time">14:55</div>
          <div class="timeline-item-text">Task 4</div>
          <div class="timeline-item-time">15:15</div>
          <div class="timeline-item-text">Task 5</div>
          <div class="timeline-item-time">16:54</div>
          <div class="timeline-item-text">Task 6</div>
        </div>
      </div>
      <div class="timeline-item">
        <div class="timeline-item-date">26 <small>DEC</small></div>
        <div class="timeline-item-content">
          <div class="timeline-item-inner">
            <div class="timeline-item-time">11:11</div>
            <div class="timeline-item-text">Task 1</div>
          </div>
          <div class="timeline-item-inner">
            <div class="timeline-item-time">12:33</div>
            <div class="timeline-item-text">Task 2</div>
          </div>
          <div class="timeline-item-inner">
            <div class="timeline-item-time">13:24</div>
            <div class="timeline-item-text">Task 3</div>
          </div>
          <div class="timeline-item-inner">
            <div class="timeline-item-time">14:55</div>
            <div class="timeline-item-text">Task 4</div>
          </div>
          <div class="timeline-item-inner">
            <div class="timeline-item-time">15:15</div>
            <div class="timeline-item-text">Task 5</div>
          </div>
          <div class="timeline-item-inner">
            <div class="timeline-item-time">16:54</div>
            <div class="timeline-item-text">Task 6</div>
          </div>
        </div>
      </div>
    </div>
  </f7-page>
</template>
<script>
import { f7Navbar, f7Page } from 'framework7-vue';

export default {
  components: {
    f7Navbar,
    f7Page,
  },
};
</script>

Calendar Timeline

timeline-horizontal-calendar.vue
<template>
  <f7-page>
    <f7-navbar title="Horizontal Timeline Calendar"></f7-navbar>
    <div class="timeline timeline-horizontal timeline-cols-3 medium-timeline-cols-6">
      <div class="timeline-year">
        <div class="timeline-year-title"><span>2016</span></div>
        <div class="timeline-month">
          <div class="timeline-month-title"><span>December</span></div>
          <div class="timeline-item">
            <div class="timeline-item-date">20</div>
            <div class="timeline-item-content">
              <div class="timeline-item-time">10:00</div>
              <div class="timeline-item-text">Task 1</div>
              <div class="timeline-item-time">13:00</div>
              <div class="timeline-item-text">Task 2</div>
              <div class="timeline-item-time">8:00</div>
              <div class="timeline-item-text">Task 3</div>
              <div class="timeline-item-time">2:00</div>
              <div class="timeline-item-text">Task 4</div>
            </div>
          </div>
          <div class="timeline-item">
            <div class="timeline-item-date">21</div>
            <div class="timeline-item-content">
              <div class="timeline-item-time">6:00</div>
              <div class="timeline-item-text">Task 1</div>
              <div class="timeline-item-time">1:00</div>
              <div class="timeline-item-text">Task 2</div>
              <div class="timeline-item-time">1:00</div>
              <div class="timeline-item-text">Task 3</div>
              <div class="timeline-item-time">7:00</div>
              <div class="timeline-item-text">Task 4</div>
            </div>
          </div>
          <div class="timeline-item">
            <div class="timeline-item-date">22</div>
            <div class="timeline-item-content">
              <div class="timeline-item-time">23:00</div>
              <div class="timeline-item-text">Task 1</div>
              <div class="timeline-item-time">15:00</div>
              <div class="timeline-item-text">Task 2</div>
              <div class="timeline-item-time">0:00</div>
              <div class="timeline-item-text">Task 3</div>
            </div>
          </div>
          <div class="timeline-item">
            <div class="timeline-item-date">23</div>
            <div class="timeline-item-content">
              <div class="timeline-item-time">12:00</div>
              <div class="timeline-item-text">Task 1</div>
              <div class="timeline-item-time">11:00</div>
              <div class="timeline-item-text">Task 2</div>
            </div>
          </div>
          <div class="timeline-item">
            <div class="timeline-item-date">24</div>
            <div class="timeline-item-content">
              <div class="timeline-item-time">18:00</div>
              <div class="timeline-item-text">Task 1</div>
              <div class="timeline-item-time">14:00</div>
              <div class="timeline-item-text">Task 2</div>
            </div>
          </div>
          <div class="timeline-item">
            <div class="timeline-item-date">25</div>
            <div class="timeline-item-content">
              <div class="timeline-item-time">11:00</div>
              <div class="timeline-item-text">Task 1</div>
              <div class="timeline-item-time">6:00</div>
              <div class="timeline-item-text">Task 2</div>
              <div class="timeline-item-time">20:00</div>
              <div class="timeline-item-text">Task 3</div>
            </div>
          </div>
          <div class="timeline-item">
            <div class="timeline-item-date">26</div>
            <div class="timeline-item-content">
              <div class="timeline-item-time">6:00</div>
              <div class="timeline-item-text">Task 1</div>
              <div class="timeline-item-time">10:00</div>
              <div class="timeline-item-text">Task 2</div>
              <div class="timeline-item-time">8:00</div>
              <div class="timeline-item-text">Task 3</div>
              <div class="timeline-item-time">6:00</div>
              <div class="timeline-item-text">Task 4</div>
            </div>
          </div>
          <div class="timeline-item">
            <div class="timeline-item-date">27</div>
            <div class="timeline-item-content">
              <div class="timeline-item-time">17:00</div>
              <div class="timeline-item-text">Task 1</div>
              <div class="timeline-item-time">0:00</div>
              <div class="timeline-item-text">Task 2</div>
              <div class="timeline-item-time">3:00</div>
              <div class="timeline-item-text">Task 3</div>
            </div>
          </div>
          <div class="timeline-item">
            <div class="timeline-item-date">28</div>
            <div class="timeline-item-content">
              <div class="timeline-item-time">9:00</div>
              <div class="timeline-item-text">Task 1</div>
              <div class="timeline-item-time">21:00</div>
              <div class="timeline-item-text">Task 2</div>
            </div>
          </div>
          <div class="timeline-item">
            <div class="timeline-item-date">29</div>
            <div class="timeline-item-content">
              <div class="timeline-item-time">1:00</div>
              <div class="timeline-item-text">Task 1</div>
              <div class="timeline-item-time">19:00</div>
              <div class="timeline-item-text">Task 2</div>
              <div class="timeline-item-time">12:00</div>
              <div class="timeline-item-text">Task 3</div>
              <div class="timeline-item-time">8:00</div>
              <div class="timeline-item-text">Task 4</div>
            </div>
          </div>
          <div class="timeline-item">
            <div class="timeline-item-date">30</div>
            <div class="timeline-item-content">
              <div class="timeline-item-time">21:00</div>
              <div class="timeline-item-text">Task 1</div>
              <div class="timeline-item-time">7:00</div>
              <div class="timeline-item-text">Task 2</div>
            </div>
          </div>
          <div class="timeline-item">
            <div class="timeline-item-date">31</div>
            <div class="timeline-item-content">
              <div class="timeline-item-time">1:00</div>
              <div class="timeline-item-text">Task 1</div>
              <div class="timeline-item-time">19:00</div>
              <div class="timeline-item-text">Task 2</div>
            </div>
          </div>
        </div>
      </div>
      <div class="timeline-year">
        <div class="timeline-year-title"><span>2017</span></div>
        <div class="timeline-month">
          <div class="timeline-month-title"><span>January</span></div>
          <div class="timeline-item">
            <div class="timeline-item-date">1</div>
            <div class="timeline-item-content">
              <div class="timeline-item-time">19:00</div>
              <div class="timeline-item-text">Task 1</div>
              <div class="timeline-item-time">20:00</div>
              <div class="timeline-item-text">Task 2</div>
              <div class="timeline-item-time">15:00</div>
              <div class="timeline-item-text">Task 3</div>
            </div>
          </div>
          <div class="timeline-item">
            <div class="timeline-item-date">2</div>
            <div class="timeline-item-content">
              <div class="timeline-item-time">4:00</div>
              <div class="timeline-item-text">Task 1</div>
              <div class="timeline-item-time">20:00</div>
              <div class="timeline-item-text">Task 2</div>
              <div class="timeline-item-time">10:00</div>
              <div class="timeline-item-text">Task 3</div>
              <div class="timeline-item-time">10:00</div>
              <div class="timeline-item-text">Task 4</div>
            </div>
          </div>
          <div class="timeline-item">
            <div class="timeline-item-date">3</div>
            <div class="timeline-item-content">
              <div class="timeline-item-time">3:00</div>
              <div class="timeline-item-text">Task 1</div>
              <div class="timeline-item-time">16:00</div>
              <div class="timeline-item-text">Task 2</div>
              <div class="timeline-item-time">9:00</div>
              <div class="timeline-item-text">Task 3</div>
            </div>
          </div>
          <div class="timeline-item">
            <div class="timeline-item-date">4</div>
            <div class="timeline-item-content">
              <div class="timeline-item-time">19:00</div>
              <div class="timeline-item-text">Task 1</div>
              <div class="timeline-item-time">8:00</div>
              <div class="timeline-item-text">Task 2</div>
              <div class="timeline-item-time">19:00</div>
              <div class="timeline-item-text">Task 3</div>
              <div class="timeline-item-time">18:00</div>
              <div class="timeline-item-text">Task 4</div>
            </div>
          </div>
          <div class="timeline-item">
            <div class="timeline-item-date">5</div>
            <div class="timeline-item-content">
              <div class="timeline-item-time">20:00</div>
              <div class="timeline-item-text">Task 1</div>
            </div>
          </div>
          <div class="timeline-item">
            <div class="timeline-item-date">6</div>
            <div class="timeline-item-content">
              <div class="timeline-item-time">2:00</div>
              <div class="timeline-item-text">Task 1</div>
              <div class="timeline-item-time">5:00</div>
              <div class="timeline-item-text">Task 2</div>
              <div class="timeline-item-time">1:00</div>
              <div class="timeline-item-text">Task 3</div>
            </div>
          </div>
          <div class="timeline-item">
            <div class="timeline-item-date">7</div>
            <div class="timeline-item-content">
              <div class="timeline-item-time">10:00</div>
              <div class="timeline-item-text">Task 1</div>
            </div>
          </div>
          <div class="timeline-item">
            <div class="timeline-item-date">8</div>
            <div class="timeline-item-content">
              <div class="timeline-item-time">7:00</div>
              <div class="timeline-item-text">Task 1</div>
            </div>
          </div>
          <div class="timeline-item">
            <div class="timeline-item-date">9</div>
            <div class="timeline-item-content">
              <div class="timeline-item-time">20:00</div>
              <div class="timeline-item-text">Task 1</div>
              <div class="timeline-item-time">21:00</div>
              <div class="timeline-item-text">Task 2</div>
            </div>
          </div>
          <div class="timeline-item">
            <div class="timeline-item-date">10</div>
            <div class="timeline-item-content">
              <div class="timeline-item-time">20:00</div>
              <div class="timeline-item-text">Task 1</div>
            </div>
          </div>
          <div class="timeline-item">
            <div class="timeline-item-date">11</div>
            <div class="timeline-item-content">
              <div class="timeline-item-time">3:00</div>
              <div class="timeline-item-text">Task 1</div>
              <div class="timeline-item-time">14:00</div>
              <div class="timeline-item-text">Task 2</div>
              <div class="timeline-item-time">14:00</div>
              <div class="timeline-item-text">Task 3</div>
              <div class="timeline-item-time">16:00</div>
              <div class="timeline-item-text">Task 4</div>
            </div>
          </div>
          <div class="timeline-item">
            <div class="timeline-item-date">12</div>
            <div class="timeline-item-content">
              <div class="timeline-item-time">3:00</div>
              <div class="timeline-item-text">Task 1</div>
              <div class="timeline-item-time">6:00</div>
              <div class="timeline-item-text">Task 2</div>
            </div>
          </div>
          <div class="timeline-item">
            <div class="timeline-item-date">13</div>
            <div class="timeline-item-content">
              <div class="timeline-item-time">11:00</div>
              <div class="timeline-item-text">Task 1</div>
              <div class="timeline-item-time">4:00</div>
              <div class="timeline-item-text">Task 2</div>
              <div class="timeline-item-time">7:00</div>
              <div class="timeline-item-text">Task 3</div>
              <div class="timeline-item-time">15:00</div>
              <div class="timeline-item-text">Task 4</div>
            </div>
          </div>
          <div class="timeline-item">
            <div class="timeline-item-date">14</div>
            <div class="timeline-item-content">
              <div class="timeline-item-time">5:00</div>
              <div class="timeline-item-text">Task 1</div>
              <div class="timeline-item-time">3:00</div>
              <div class="timeline-item-text">Task 2</div>
              <div class="timeline-item-time">18:00</div>
              <div class="timeline-item-text">Task 3</div>
              <div class="timeline-item-time">6:00</div>
              <div class="timeline-item-text">Task 4</div>
            </div>
          </div>
          <div class="timeline-item">
            <div class="timeline-item-date">15</div>
            <div class="timeline-item-content">
              <div class="timeline-item-time">2:00</div>
              <div class="timeline-item-text">Task 1</div>
              <div class="timeline-item-time">0:00</div>
              <div class="timeline-item-text">Task 2</div>
            </div>
          </div>
          <div class="timeline-item">
            <div class="timeline-item-date">16</div>
            <div class="timeline-item-content">
              <div class="timeline-item-time">16:00</div>
              <div class="timeline-item-text">Task 1</div>
              <div class="timeline-item-time">7:00</div>
              <div class="timeline-item-text">Task 2</div>
            </div>
          </div>
          <div class="timeline-item">
            <div class="timeline-item-date">17</div>
            <div class="timeline-item-content">
              <div class="timeline-item-time">0:00</div>
              <div class="timeline-item-text">Task 1</div>
            </div>
          </div>
          <div class="timeline-item">
            <div class="timeline-item-date">18</div>
            <div class="timeline-item-content">
              <div class="timeline-item-time">16:00</div>
              <div class="timeline-item-text">Task 1</div>
              <div class="timeline-item-time">0:00</div>
              <div class="timeline-item-text">Task 2</div>
            </div>
          </div>
          <div class="timeline-item">
            <div class="timeline-item-date">19</div>
            <div class="timeline-item-content">
              <div class="timeline-item-time">13:00</div>
              <div class="timeline-item-text">Task 1</div>
              <div class="timeline-item-time">14:00</div>
              <div class="timeline-item-text">Task 2</div>
            </div>
          </div>
          <div class="timeline-item">
            <div class="timeline-item-date">20</div>
            <div class="timeline-item-content">
              <div class="timeline-item-time">10:00</div>
              <div class="timeline-item-text">Task 1</div>
            </div>
          </div>
          <div class="timeline-item">
            <div class="timeline-item-date">21</div>
            <div class="timeline-item-content">
              <div class="timeline-item-time">8:00</div>
              <div class="timeline-item-text">Task 1</div>
              <div class="timeline-item-time">14:00</div>
              <div class="timeline-item-text">Task 2</div>
            </div>
          </div>
          <div class="timeline-item">
            <div class="timeline-item-date">22</div>
            <div class="timeline-item-content">
              <div class="timeline-item-time">9:00</div>
              <div class="timeline-item-text">Task 1</div>
              <div class="timeline-item-time">5:00</div>
              <div class="timeline-item-text">Task 2</div>
              <div class="timeline-item-time">11:00</div>
              <div class="timeline-item-text">Task 3</div>
            </div>
          </div>
          <div class="timeline-item">
            <div class="timeline-item-date">23</div>
            <div class="timeline-item-content">
              <div class="timeline-item-time">2:00</div>
              <div class="timeline-item-text">Task 1</div>
              <div class="timeline-item-time">16:00</div>
              <div class="timeline-item-text">Task 2</div>
              <div class="timeline-item-time">19:00</div>
              <div class="timeline-item-text">Task 3</div>
              <div class="timeline-item-time">15:00</div>
              <div class="timeline-item-text">Task 4</div>
            </div>
          </div>
          <div class="timeline-item">
            <div class="timeline-item-date">24</div>
            <div class="timeline-item-content">
              <div class="timeline-item-time">15:00</div>
              <div class="timeline-item-text">Task 1</div>
              <div class="timeline-item-time">20:00</div>
              <div class="timeline-item-text">Task 2</div>
            </div>
          </div>
          <div class="timeline-item">
            <div class="timeline-item-date">25</div>
            <div class="timeline-item-content">
              <div class="timeline-item-time">7:00</div>
              <div class="timeline-item-text">Task 1</div>
              <div class="timeline-item-time">0:00</div>
              <div class="timeline-item-text">Task 2</div>
            </div>
          </div>
          <div class="timeline-item">
            <div class="timeline-item-date">26</div>
            <div class="timeline-item-content">
              <div class="timeline-item-time">22:00</div>
              <div class="timeline-item-text">Task 1</div>
              <div class="timeline-item-time">17:00</div>
              <div class="timeline-item-text">Task 2</div>
              <div class="timeline-item-time">21:00</div>
              <div class="timeline-item-text">Task 3</div>
              <div class="timeline-item-time">6:00</div>
              <div class="timeline-item-text">Task 4</div>
            </div>
          </div>
          <div class="timeline-item">
            <div class="timeline-item-date">27</div>
            <div class="timeline-item-content">
              <div class="timeline-item-time">17:00</div>
              <div class="timeline-item-text">Task 1</div>
            </div>
          </div>
          <div class="timeline-item">
            <div class="timeline-item-date">28</div>
            <div class="timeline-item-content">
              <div class="timeline-item-time">14:00</div>
              <div class="timeline-item-text">Task 1</div>
              <div class="timeline-item-time">20:00</div>
              <div class="timeline-item-text">Task 2</div>
            </div>
          </div>
          <div class="timeline-item">
            <div class="timeline-item-date">29</div>
            <div class="timeline-item-content">
              <div class="timeline-item-time">13:00</div>
              <div class="timeline-item-text">Task 1</div>
              <div class="timeline-item-time">5:00</div>
              <div class="timeline-item-text">Task 2</div>
            </div>
          </div>
          <div class="timeline-item">
            <div class="timeline-item-date">30</div>
            <div class="timeline-item-content">
              <div class="timeline-item-time">4:00</div>
              <div class="timeline-item-text">Task 1</div>
              <div class="timeline-item-time">16:00</div>
              <div class="timeline-item-text">Task 2</div>
            </div>
          </div>
          <div class="timeline-item">
            <div class="timeline-item-date">31</div>
            <div class="timeline-item-content">
              <div class="timeline-item-time">3:00</div>
              <div class="timeline-item-text">Task 1</div>
            </div>
          </div>
        </div>
        <div class="timeline-month">
          <div class="timeline-month-title"><span>February</span></div>
          <div class="timeline-item">
            <div class="timeline-item-date">1</div>
            <div class="timeline-item-content">
              <div class="timeline-item-time">6:00</div>
              <div class="timeline-item-text">Task 1</div>
              <div class="timeline-item-time">6:00</div>
              <div class="timeline-item-text">Task 2</div>
            </div>
          </div>
          <div class="timeline-item">
            <div class="timeline-item-date">2</div>
            <div class="timeline-item-content">
              <div class="timeline-item-time">5:00</div>
              <div class="timeline-item-text">Task 1</div>
              <div class="timeline-item-time">6:00</div>
              <div class="timeline-item-text">Task 2</div>
            </div>
          </div>
          <div class="timeline-item">
            <div class="timeline-item-date">3</div>
            <div class="timeline-item-content">
              <div class="timeline-item-time">10:00</div>
              <div class="timeline-item-text">Task 1</div>
              <div class="timeline-item-time">6:00</div>
              <div class="timeline-item-text">Task 2</div>
              <div class="timeline-item-time">9:00</div>
              <div class="timeline-item-text">Task 3</div>
            </div>
          </div>
          <div class="timeline-item">
            <div class="timeline-item-date">4</div>
            <div class="timeline-item-content">
              <div class="timeline-item-time">9:00</div>
              <div class="timeline-item-text">Task 1</div>
              <div class="timeline-item-time">4:00</div>
              <div class="timeline-item-text">Task 2</div>
              <div class="timeline-item-time">11:00</div>
              <div class="timeline-item-text">Task 3</div>
              <div class="timeline-item-time">17:00</div>
              <div class="timeline-item-text">Task 4</div>
              <div class="timeline-item-time">23:00</div>
              <div class="timeline-item-text">Task 5</div>
            </div>
          </div>
          <div class="timeline-item">
            <div class="timeline-item-date">5</div>
            <div class="timeline-item-content">
              <div class="timeline-item-time">9:00</div>
              <div class="timeline-item-text">Task 1</div>
              <div class="timeline-item-time">7:00</div>
              <div class="timeline-item-text">Task 2</div>
            </div>
          </div>
          <div class="timeline-item">
            <div class="timeline-item-date">6</div>
            <div class="timeline-item-content">
              <div class="timeline-item-time">11:00</div>
              <div class="timeline-item-text">Task 1</div>
              <div class="timeline-item-time">12:00</div>
              <div class="timeline-item-text">Task 2</div>
              <div class="timeline-item-time">2:00</div>
              <div class="timeline-item-text">Task 3</div>
            </div>
          </div>
          <div class="timeline-item">
            <div class="timeline-item-date">7</div>
            <div class="timeline-item-content">
              <div class="timeline-item-time">5:00</div>
              <div class="timeline-item-text">Task 1</div>
            </div>
          </div>
          <div class="timeline-item">
            <div class="timeline-item-date">8</div>
            <div class="timeline-item-content">
              <div class="timeline-item-time">2:00</div>
              <div class="timeline-item-text">Task 1</div>
            </div>
          </div>
          <div class="timeline-item">
            <div class="timeline-item-date">9</div>
            <div class="timeline-item-content">
              <div class="timeline-item-time">5:00</div>
              <div class="timeline-item-text">Task 1</div>
              <div class="timeline-item-time">22:00</div>
              <div class="timeline-item-text">Task 2</div>
              <div class="timeline-item-time">14:00</div>
              <div class="timeline-item-text">Task 3</div>
              <div class="timeline-item-time">3:00</div>
              <div class="timeline-item-text">Task 4</div>
            </div>
          </div>
          <div class="timeline-item">
            <div class="timeline-item-date">10</div>
            <div class="timeline-item-content">
              <div class="timeline-item-time">8:00</div>
              <div class="timeline-item-text">Task 1</div>
              <div class="timeline-item-time">8:00</div>
              <div class="timeline-item-text">Task 2</div>
            </div>
          </div>
          <div class="timeline-item">
            <div class="timeline-item-date">11</div>
            <div class="timeline-item-content">
              <div class="timeline-item-time">1:00</div>
              <div class="timeline-item-text">Task 1</div>
              <div class="timeline-item-time">3:00</div>
              <div class="timeline-item-text">Task 2</div>
              <div class="timeline-item-time">4:00</div>
              <div class="timeline-item-text">Task 3</div>
              <div class="timeline-item-time">18:00</div>
              <div class="timeline-item-text">Task 4</div>
              <div class="timeline-item-time">13:00</div>
              <div class="timeline-item-text">Task 5</div>
            </div>
          </div>
          <div class="timeline-item">
            <div class="timeline-item-date">12</div>
            <div class="timeline-item-content">
              <div class="timeline-item-time">17:00</div>
              <div class="timeline-item-text">Task 1</div>
              <div class="timeline-item-time">15:00</div>
              <div class="timeline-item-text">Task 2</div>
              <div class="timeline-item-time">23:00</div>
              <div class="timeline-item-text">Task 3</div>
            </div>
          </div>
          <div class="timeline-item">
            <div class="timeline-item-date">13</div>
            <div class="timeline-item-content">
              <div class="timeline-item-time">13:00</div>
              <div class="timeline-item-text">Task 1</div>
              <div class="timeline-item-time">19:00</div>
              <div class="timeline-item-text">Task 2</div>
              <div class="timeline-item-time">18:00</div>
              <div class="timeline-item-text">Task 3</div>
            </div>
          </div>
          <div class="timeline-item">
            <div class="timeline-item-date">14</div>
            <div class="timeline-item-content">
              <div class="timeline-item-time">17:00</div>
              <div class="timeline-item-text">Task 1</div>
              <div class="timeline-item-time">6:00</div>
              <div class="timeline-item-text">Task 2</div>
            </div>
          </div>
          <div class="timeline-item">
            <div class="timeline-item-date">15</div>
            <div class="timeline-item-content">
              <div class="timeline-item-time">1:00</div>
              <div class="timeline-item-text">Task 1</div>
              <div class="timeline-item-time">6:00</div>
              <div class="timeline-item-text">Task 2</div>
              <div class="timeline-item-time">14:00</div>
              <div class="timeline-item-text">Task 3</div>
            </div>
          </div>
          <div class="timeline-item">
            <div class="timeline-item-date">16</div>
            <div class="timeline-item-content">
              <div class="timeline-item-time">7:00</div>
              <div class="timeline-item-text">Task 1</div>
              <div class="timeline-item-time">4:00</div>
              <div class="timeline-item-text">Task 2</div>
              <div class="timeline-item-time">22:00</div>
              <div class="timeline-item-text">Task 3</div>
            </div>
          </div>
          <div class="timeline-item">
            <div class="timeline-item-date">17</div>
            <div class="timeline-item-content">
              <div class="timeline-item-time">14:00</div>
              <div class="timeline-item-text">Task 1</div>
              <div class="timeline-item-time">10:00</div>
              <div class="timeline-item-text">Task 2</div>
              <div class="timeline-item-time">23:00</div>
              <div class="timeline-item-text">Task 3</div>
              <div class="timeline-item-time">13:00</div>
              <div class="timeline-item-text">Task 4</div>
              <div class="timeline-item-time">12:00</div>
              <div class="timeline-item-text">Task 5</div>
            </div>
          </div>
          <div class="timeline-item">
            <div class="timeline-item-date">18</div>
            <div class="timeline-item-content">
              <div class="timeline-item-time">13:00</div>
              <div class="timeline-item-text">Task 1</div>
              <div class="timeline-item-time">12:00</div>
              <div class="timeline-item-text">Task 2</div>
            </div>
          </div>
          <div class="timeline-item">
            <div class="timeline-item-date">19</div>
            <div class="timeline-item-content">
              <div class="timeline-item-time">2:00</div>
              <div class="timeline-item-text">Task 1</div>
              <div class="timeline-item-time">16:00</div>
              <div class="timeline-item-text">Task 2</div>
              <div class="timeline-item-time">12:00</div>
              <div class="timeline-item-text">Task 3</div>
              <div class="timeline-item-time">1:00</div>
              <div class="timeline-item-text">Task 4</div>
              <div class="timeline-item-time">9:00</div>
              <div class="timeline-item-text">Task 5</div>
            </div>
          </div>
          <div class="timeline-item">
            <div class="timeline-item-date">20</div>
            <div class="timeline-item-content">
              <div class="timeline-item-time">19:00</div>
              <div class="timeline-item-text">Task 1</div>
              <div class="timeline-item-time">14:00</div>
              <div class="timeline-item-text">Task 2</div>
              <div class="timeline-item-time">17:00</div>
              <div class="timeline-item-text">Task 3</div>
            </div>
          </div>
          <div class="timeline-item">
            <div class="timeline-item-date">21</div>
            <div class="timeline-item-content">
              <div class="timeline-item-time">4:00</div>
              <div class="timeline-item-text">Task 1</div>
              <div class="timeline-item-time">11:00</div>
              <div class="timeline-item-text">Task 2</div>
              <div class="timeline-item-time">13:00</div>
              <div class="timeline-item-text">Task 3</div>
            </div>
          </div>
          <div class="timeline-item">
            <div class="timeline-item-date">22</div>
            <div class="timeline-item-content">
              <div class="timeline-item-time">22:00</div>
              <div class="timeline-item-text">Task 1</div>
              <div class="timeline-item-time">0:00</div>
              <div class="timeline-item-text">Task 2</div>
              <div class="timeline-item-time">6:00</div>
              <div class="timeline-item-text">Task 3</div>
              <div class="timeline-item-time">6:00</div>
              <div class="timeline-item-text">Task 4</div>
            </div>
          </div>
          <div class="timeline-item">
            <div class="timeline-item-date">23</div>
            <div class="timeline-item-content">
              <div class="timeline-item-time">0:00</div>
              <div class="timeline-item-text">Task 1</div>
            </div>
          </div>
          <div class="timeline-item">
            <div class="timeline-item-date">24</div>
            <div class="timeline-item-content">
              <div class="timeline-item-time">7:00</div>
              <div class="timeline-item-text">Task 1</div>
              <div class="timeline-item-time">15:00</div>
              <div class="timeline-item-text">Task 2</div>
              <div class="timeline-item-time">5:00</div>
              <div class="timeline-item-text">Task 3</div>
            </div>
          </div>
          <div class="timeline-item">
            <div class="timeline-item-date">25</div>
            <div class="timeline-item-content">
              <div class="timeline-item-time">5:00</div>
              <div class="timeline-item-text">Task 1</div>
              <div class="timeline-item-time">20:00</div>
              <div class="timeline-item-text">Task 2</div>
              <div class="timeline-item-time">2:00</div>
              <div class="timeline-item-text">Task 3</div>
            </div>
          </div>
          <div class="timeline-item">
            <div class="timeline-item-date">26</div>
            <div class="timeline-item-content">
              <div class="timeline-item-time">13:00</div>
              <div class="timeline-item-text">Task 1</div>
              <div class="timeline-item-time">18:00</div>
              <div class="timeline-item-text">Task 2</div>
            </div>
          </div>
          <div class="timeline-item">
            <div class="timeline-item-date">27</div>
            <div class="timeline-item-content">
              <div class="timeline-item-time">2:00</div>
              <div class="timeline-item-text">Task 1</div>
              <div class="timeline-item-time">20:00</div>
              <div class="timeline-item-text">Task 2</div>
              <div class="timeline-item-time">3:00</div>
              <div class="timeline-item-text">Task 3</div>
            </div>
          </div>
          <div class="timeline-item">
            <div class="timeline-item-date">28</div>
            <div class="timeline-item-content">
              <div class="timeline-item-time">15:00</div>
              <div class="timeline-item-text">Task 1</div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </f7-page>
</template>
<script>
import { f7Navbar, f7Page } from 'framework7-vue';

export default {
  components: {
    f7Navbar,
    f7Page,
  },
};
</script>

Timeline React Component

There is no specific Timeline React component, you need to use core Timeline component.

Examples

Vertical Timeline

timeline-vertical.jsx
import React from 'react';
import { Navbar, Page, BlockTitle } from 'framework7-react';

export default () => (
  <Page>
    <Navbar title="Vertical Timeline"></Navbar>
    <BlockTitle>Default</BlockTitle>
    <div className="timeline">
      <div className="timeline-item">
        <div className="timeline-item-date">
          21 <small>DEC</small>
        </div>
        <div className="timeline-item-divider"></div>
        <div className="timeline-item-content">
          <div className="timeline-item-inner">Some text goes here</div>
        </div>
      </div>
      <div className="timeline-item">
        <div className="timeline-item-date">
          22 <small>DEC</small>
        </div>
        <div className="timeline-item-divider"></div>
        <div className="timeline-item-content">
          <div className="timeline-item-inner">Another text goes here</div>
        </div>
      </div>
      <div className="timeline-item">
        <div className="timeline-item-date">
          23 <small>DEC</small>
        </div>
        <div className="timeline-item-divider"></div>
        <div className="timeline-item-content">
          <div className="timeline-item-inner">
            Lorem ipsum dolor sit amet, consectetur adipisicing elit. Dolor fugiat ipsam hic porro
            enim, accusamus perferendis, quas commodi alias quaerat eius nemo deleniti. Odio quasi
            quos quis iure, aperiam pariatur?
          </div>
        </div>
      </div>
      <div className="timeline-item">
        <div className="timeline-item-date">
          24 <small>DEC</small>
        </div>
        <div className="timeline-item-divider"></div>
        <div className="timeline-item-content">
          <div className="timeline-item-inner">One more text here</div>
        </div>
      </div>
    </div>
    <BlockTitle>Side By Side</BlockTitle>
    <div className="timeline timeline-sides">
      <div className="timeline-item">
        <div className="timeline-item-date">
          21 <small>DEC</small>
        </div>
        <div className="timeline-item-divider"></div>
        <div className="timeline-item-content">
          <div className="timeline-item-inner">Some text goes here</div>
        </div>
      </div>
      <div className="timeline-item">
        <div className="timeline-item-date">
          22 <small>DEC</small>
        </div>
        <div className="timeline-item-divider"></div>
        <div className="timeline-item-content">
          <div className="timeline-item-inner">Another text goes here</div>
        </div>
      </div>
      <div className="timeline-item">
        <div className="timeline-item-date">
          23 <small>DEC</small>
        </div>
        <div className="timeline-item-divider"></div>
        <div className="timeline-item-content">
          <div className="timeline-item-inner">Just plain text</div>
        </div>
      </div>
      <div className="timeline-item">
        <div className="timeline-item-date">
          24 <small>DEC</small>
        </div>
        <div className="timeline-item-divider"></div>
        <div className="timeline-item-content">
          <div className="timeline-item-inner">One more text here</div>
        </div>
      </div>
    </div>
    <BlockTitle>Only Tablet Side By Side</BlockTitle>
    <div className="timeline medium-sides">
      <div className="timeline-item">
        <div className="timeline-item-date">
          21 <small>DEC</small>
        </div>
        <div className="timeline-item-divider"></div>
        <div className="timeline-item-content">
          <div className="timeline-item-inner">Some text goes here</div>
        </div>
      </div>
      <div className="timeline-item">
        <div className="timeline-item-date">
          22 <small>DEC</small>
        </div>
        <div className="timeline-item-divider"></div>
        <div className="timeline-item-content">
          <div className="timeline-item-inner">Another text goes here</div>
        </div>
      </div>
      <div className="timeline-item">
        <div className="timeline-item-date">
          23 <small>DEC</small>
        </div>
        <div className="timeline-item-divider"></div>
        <div className="timeline-item-content">
          <div className="timeline-item-inner">Just plain text</div>
        </div>
      </div>
      <div className="timeline-item">
        <div className="timeline-item-date">
          24 <small>DEC</small>
        </div>
        <div className="timeline-item-divider"></div>
        <div className="timeline-item-content">
          <div className="timeline-item-inner">One more text here</div>
        </div>
      </div>
    </div>
    <BlockTitle>Forced Sides</BlockTitle>
    <div className="timeline timeline-sides">
      <div className="timeline-item timeline-item-right">
        <div className="timeline-item-date">
          21 <small>DEC</small>
        </div>
        <div className="timeline-item-divider"></div>
        <div className="timeline-item-content">
          <div className="timeline-item-inner">Some text goes here</div>
        </div>
      </div>
      <div className="timeline-item timeline-item-right">
        <div className="timeline-item-date">
          22 <small>DEC</small>
        </div>
        <div className="timeline-item-divider"></div>
        <div className="timeline-item-content">
          <div className="timeline-item-inner">Another text goes here</div>
        </div>
      </div>
      <div className="timeline-item timeline-item-left">
        <div className="timeline-item-date">
          23 <small>DEC</small>
        </div>
        <div className="timeline-item-divider"></div>
        <div className="timeline-item-content">
          <div className="timeline-item-inner">Just plain text</div>
        </div>
      </div>
      <div className="timeline-item timeline-item-left">
        <div className="timeline-item-date">
          24 <small>DEC</small>
        </div>
        <div className="timeline-item-divider"></div>
        <div className="timeline-item-content">
          <div className="timeline-item-inner">One more text here</div>
        </div>
      </div>
    </div>
    <BlockTitle>Rich Content</BlockTitle>
    <div className="timeline">
      <div className="timeline-item">
        <div className="timeline-item-date">
          21 <small>DEC</small>
        </div>
        <div className="timeline-item-divider"></div>
        <div className="timeline-item-content">
          <div className="timeline-item-inner">
            <div className="timeline-item-time">12:56</div>
            <div className="timeline-item-title">Item Title</div>
            <div className="timeline-item-subtitle">Item Subtitle</div>
            <div className="timeline-item-text">
              Lorem ipsum dolor sit amet, consectetur adipisicing elit. Dolor fugiat ipsam hic porro
              enim, accusamus perferendis, quas commodi alias quaerat eius nemo deleniti. Odio quasi
              quos quis iure, aperiam pariatur?
            </div>
            <div className="timeline-item-time">15:07</div>
            <div className="timeline-item-title">Item Title</div>
            <div className="timeline-item-subtitle">Item Subtitle</div>
            <div className="timeline-item-text">
              Lorem ipsum dolor sit amet, consectetur adipisicing elit. Dolor fugiat ipsam hic porro
              enim, accusamus perferendis, quas commodi alias quaerat eius nemo deleniti. Odio quasi
              quos quis iure, aperiam pariatur?
            </div>
          </div>
        </div>
      </div>
      <div className="timeline-item">
        <div className="timeline-item-date">
          22 <small>DEC</small>
        </div>
        <div className="timeline-item-divider"></div>
        <div className="timeline-item-content">
          <div className="timeline-item-inner">
            <div className="timeline-item-time">12:56</div>
            <div className="timeline-item-title">Item Title</div>
            <div className="timeline-item-subtitle">Item Subtitle</div>
            <div className="timeline-item-text">
              Lorem ipsum dolor sit amet, consectetur adipisicing elit. Dolor fugiat ipsam hic porro
              enim, accusamus perferendis, quas commodi alias quaerat eius nemo deleniti. Odio quasi
              quos quis iure, aperiam pariatur?
            </div>
          </div>
          <div className="timeline-item-inner">
            <div className="timeline-item-time">15:07</div>
            <div className="timeline-item-title">Item Title</div>
            <div className="timeline-item-subtitle">Item Subtitle</div>
            <div className="timeline-item-text">
              Lorem ipsum dolor sit amet, consectetur adipisicing elit. Dolor fugiat ipsam hic porro
              enim, accusamus perferendis, quas commodi alias quaerat eius nemo deleniti. Odio quasi
              quos quis iure, aperiam pariatur?
            </div>
          </div>
        </div>
      </div>
      <div className="timeline-item">
        <div className="timeline-item-date">
          23 <small>DEC</small>
        </div>
        <div className="timeline-item-divider"></div>
        <div className="timeline-item-content card no-safe-areas">
          <div className="card-header">Card Header</div>
          <div className="card-content card-content-padding">Card Content</div>
          <div className="card-footer">Card Footer</div>
        </div>
      </div>
      <div className="timeline-item">
        <div className="timeline-item-date">
          24 <small>DEC</small>
        </div>
        <div className="timeline-item-divider"></div>
        <div className="timeline-item-content list links-list inset list-strong list-dividers-ios no-safe-areas">
          <ul>
            <li>
              <a>Item 1</a>
            </li>
            <li>
              <a>Item 2</a>
            </li>
            <li>
              <a>Item 3</a>
            </li>
          </ul>
        </div>
      </div>
      <div className="timeline-item">
        <div className="timeline-item-date">
          25 <small>DEC</small>
        </div>
        <div className="timeline-item-divider"></div>
        <div className="timeline-item-content">Plain text</div>
      </div>
    </div>
    <BlockTitle>Inside Content Block</BlockTitle>
    <div className="block block-strong">
      <div className="timeline">
        <div className="timeline-item">
          <div className="timeline-item-date">
            21 <small>DEC</small>
          </div>
          <div className="timeline-item-divider"></div>
          <div className="timeline-item-content">
            <div className="timeline-item-inner">Some text goes here</div>
          </div>
        </div>
        <div className="timeline-item">
          <div className="timeline-item-date">
            22 <small>DEC</small>
          </div>
          <div className="timeline-item-divider"></div>
          <div className="timeline-item-content">
            <div className="timeline-item-inner">Another text goes here</div>
          </div>
        </div>
        <div className="timeline-item">
          <div className="timeline-item-date">
            23 <small>DEC</small>
          </div>
          <div className="timeline-item-divider"></div>
          <div className="timeline-item-content">
            <div className="timeline-item-inner">
              Lorem ipsum dolor sit amet, consectetur adipisicing elit. Dolor fugiat ipsam hic porro
              enim, accusamus perferendis, quas commodi alias quaerat eius nemo deleniti. Odio quasi
              quos quis iure, aperiam pariatur?
            </div>
          </div>
        </div>
        <div className="timeline-item">
          <div className="timeline-item-date">
            24 <small>DEC</small>
          </div>
          <div className="timeline-item-divider"></div>
          <div className="timeline-item-content">
            <div className="timeline-item-inner">One more text here</div>
          </div>
        </div>
      </div>
    </div>
  </Page>
);

Horizontal Timeline

timeline-horizontal.jsx
import React from 'react';
import { Navbar, Page } from 'framework7-react';

export default () => (
  <Page>
    <Navbar title="Horizontal Timeline"></Navbar>
    <div className="timeline timeline-horizontal timeline-cols-3 medium-timeline-cols-5">
      <div className="timeline-item">
        <div className="timeline-item-date">
          21 <small>DEC</small>
        </div>
        <div className="timeline-item-content">
          <div className="timeline-item-inner">
            <div className="timeline-item-time">12:56</div>
            <div className="timeline-item-title">Title 1</div>
            <div className="timeline-item-subtitle">Subtitle 1</div>
            <div className="timeline-item-text">
              Lorem ipsum dolor sit amet, consectetur adipisicing elit
            </div>
          </div>
          <div className="timeline-item-inner">
            <div className="timeline-item-time">13:15</div>
            <div className="timeline-item-title">Title 2</div>
            <div className="timeline-item-subtitle">Subtitle 2</div>
            <div className="timeline-item-text">
              Lorem ipsum dolor sit amet, consectetur adipisicing elit
            </div>
          </div>
          <div className="timeline-item-inner">
            <div className="timeline-item-time">14:45</div>
            <div className="timeline-item-text">Do something</div>
          </div>
          <div className="timeline-item-inner">
            <div className="timeline-item-time">16:11</div>
            <div className="timeline-item-text">Do something else</div>
          </div>
        </div>
      </div>
      <div className="timeline-item">
        <div className="timeline-item-date">
          22 <small>DEC</small>
        </div>
        <div className="timeline-item-content">Plain text goes here</div>
      </div>
      <div className="timeline-item">
        <div className="timeline-item-date">
          23 <small>DEC</small>
        </div>
        <div className="timeline-item-content">
          <div className="card no-safe-areas">
            <div className="card-header">Card</div>
            <div className="card-content card-content-padding">Card Content</div>
            <div className="card-footer">Card Footer</div>
          </div>
          <div className="card no-safe-areas">
            <div className="card-content card-content-padding">Another Card Content</div>
          </div>
        </div>
      </div>
      <div className="timeline-item">
        <div className="timeline-item-date">
          24 <small>DEC</small>
        </div>
        <div className="timeline-item-content">
          <div className="list links-list inset list-strong list-dividers-ios no-safe-areas">
            <ul>
              <li>
                <a>Item 1</a>
              </li>
              <li>
                <a>Item 2</a>
              </li>
              <li>
                <a>Item 3</a>
              </li>
            </ul>
          </div>
        </div>
      </div>
      <div className="timeline-item">
        <div className="timeline-item-date">
          25 <small>DEC</small>
        </div>
        <div className="timeline-item-content">
          <div className="timeline-item-time">11:11</div>
          <div className="timeline-item-text">Task 1</div>
          <div className="timeline-item-time">12:33</div>
          <div className="timeline-item-text">Task 2</div>
          <div className="timeline-item-time">13:24</div>
          <div className="timeline-item-text">Task 3</div>
          <div className="timeline-item-time">14:55</div>
          <div className="timeline-item-text">Task 4</div>
          <div className="timeline-item-time">15:15</div>
          <div className="timeline-item-text">Task 5</div>
          <div className="timeline-item-time">16:54</div>
          <div className="timeline-item-text">Task 6</div>
        </div>
      </div>
      <div className="timeline-item">
        <div className="timeline-item-date">
          26 <small>DEC</small>
        </div>
        <div className="timeline-item-content">
          <div className="timeline-item-inner">
            <div className="timeline-item-time">11:11</div>
            <div className="timeline-item-text">Task 1</div>
          </div>
          <div className="timeline-item-inner">
            <div className="timeline-item-time">12:33</div>
            <div className="timeline-item-text">Task 2</div>
          </div>
          <div className="timeline-item-inner">
            <div className="timeline-item-time">13:24</div>
            <div className="timeline-item-text">Task 3</div>
          </div>
          <div className="timeline-item-inner">
            <div className="timeline-item-time">14:55</div>
            <div className="timeline-item-text">Task 4</div>
          </div>
          <div className="timeline-item-inner">
            <div className="timeline-item-time">15:15</div>
            <div className="timeline-item-text">Task 5</div>
          </div>
          <div className="timeline-item-inner">
            <div className="timeline-item-time">16:54</div>
            <div className="timeline-item-text">Task 6</div>
          </div>
        </div>
      </div>
    </div>
  </Page>
);

Calendar Timeline

timeline-horizontal-calendar.jsx
import React from 'react';
import { Navbar, Page } from 'framework7-react';

export default () => (
  <Page>
    <Navbar title="Horizontal Timeline Calendar"></Navbar>
    <div className="timeline timeline-horizontal timeline-cols-3 medium-timeline-cols-6">
      <div className="timeline-year">
        <div className="timeline-year-title">
          <span>2016</span>
        </div>
        <div className="timeline-month">
          <div className="timeline-month-title">
            <span>December</span>
          </div>
          <div className="timeline-item">
            <div className="timeline-item-date">20</div>
            <div className="timeline-item-content">
              <div className="timeline-item-time">10:00</div>
              <div className="timeline-item-text">Task 1</div>
              <div className="timeline-item-time">13:00</div>
              <div className="timeline-item-text">Task 2</div>
              <div className="timeline-item-time">8:00</div>
              <div className="timeline-item-text">Task 3</div>
              <div className="timeline-item-time">2:00</div>
              <div className="timeline-item-text">Task 4</div>
            </div>
          </div>
          <div className="timeline-item">
            <div className="timeline-item-date">21</div>
            <div className="timeline-item-content">
              <div className="timeline-item-time">6:00</div>
              <div className="timeline-item-text">Task 1</div>
              <div className="timeline-item-time">1:00</div>
              <div className="timeline-item-text">Task 2</div>
              <div className="timeline-item-time">1:00</div>
              <div className="timeline-item-text">Task 3</div>
              <div className="timeline-item-time">7:00</div>
              <div className="timeline-item-text">Task 4</div>
            </div>
          </div>
          <div className="timeline-item">
            <div className="timeline-item-date">22</div>
            <div className="timeline-item-content">
              <div className="timeline-item-time">23:00</div>
              <div className="timeline-item-text">Task 1</div>
              <div className="timeline-item-time">15:00</div>
              <div className="timeline-item-text">Task 2</div>
              <div className="timeline-item-time">0:00</div>
              <div className="timeline-item-text">Task 3</div>
            </div>
          </div>
          <div className="timeline-item">
            <div className="timeline-item-date">23</div>
            <div className="timeline-item-content">
              <div className="timeline-item-time">12:00</div>
              <div className="timeline-item-text">Task 1</div>
              <div className="timeline-item-time">11:00</div>
              <div className="timeline-item-text">Task 2</div>
            </div>
          </div>
          <div className="timeline-item">
            <div className="timeline-item-date">24</div>
            <div className="timeline-item-content">
              <div className="timeline-item-time">18:00</div>
              <div className="timeline-item-text">Task 1</div>
              <div className="timeline-item-time">14:00</div>
              <div className="timeline-item-text">Task 2</div>
            </div>
          </div>
          <div className="timeline-item">
            <div className="timeline-item-date">25</div>
            <div className="timeline-item-content">
              <div className="timeline-item-time">11:00</div>
              <div className="timeline-item-text">Task 1</div>
              <div className="timeline-item-time">6:00</div>
              <div className="timeline-item-text">Task 2</div>
              <div className="timeline-item-time">20:00</div>
              <div className="timeline-item-text">Task 3</div>
            </div>
          </div>
          <div className="timeline-item">
            <div className="timeline-item-date">26</div>
            <div className="timeline-item-content">
              <div className="timeline-item-time">6:00</div>
              <div className="timeline-item-text">Task 1</div>
              <div className="timeline-item-time">10:00</div>
              <div className="timeline-item-text">Task 2</div>
              <div className="timeline-item-time">8:00</div>
              <div className="timeline-item-text">Task 3</div>
              <div className="timeline-item-time">6:00</div>
              <div className="timeline-item-text">Task 4</div>
            </div>
          </div>
          <div className="timeline-item">
            <div className="timeline-item-date">27</div>
            <div className="timeline-item-content">
              <div className="timeline-item-time">17:00</div>
              <div className="timeline-item-text">Task 1</div>
              <div className="timeline-item-time">0:00</div>
              <div className="timeline-item-text">Task 2</div>
              <div className="timeline-item-time">3:00</div>
              <div className="timeline-item-text">Task 3</div>
            </div>
          </div>
          <div className="timeline-item">
            <div className="timeline-item-date">28</div>
            <div className="timeline-item-content">
              <div className="timeline-item-time">9:00</div>
              <div className="timeline-item-text">Task 1</div>
              <div className="timeline-item-time">21:00</div>
              <div className="timeline-item-text">Task 2</div>
            </div>
          </div>
          <div className="timeline-item">
            <div className="timeline-item-date">29</div>
            <div className="timeline-item-content">
              <div className="timeline-item-time">1:00</div>
              <div className="timeline-item-text">Task 1</div>
              <div className="timeline-item-time">19:00</div>
              <div className="timeline-item-text">Task 2</div>
              <div className="timeline-item-time">12:00</div>
              <div className="timeline-item-text">Task 3</div>
              <div className="timeline-item-time">8:00</div>
              <div className="timeline-item-text">Task 4</div>
            </div>
          </div>
          <div className="timeline-item">
            <div className="timeline-item-date">30</div>
            <div className="timeline-item-content">
              <div className="timeline-item-time">21:00</div>
              <div className="timeline-item-text">Task 1</div>
              <div className="timeline-item-time">7:00</div>
              <div className="timeline-item-text">Task 2</div>
            </div>
          </div>
          <div className="timeline-item">
            <div className="timeline-item-date">31</div>
            <div className="timeline-item-content">
              <div className="timeline-item-time">1:00</div>
              <div className="timeline-item-text">Task 1</div>
              <div className="timeline-item-time">19:00</div>
              <div className="timeline-item-text">Task 2</div>
            </div>
          </div>
        </div>
      </div>
      <div className="timeline-year">
        <div className="timeline-year-title">
          <span>2017</span>
        </div>
        <div className="timeline-month">
          <div className="timeline-month-title">
            <span>January</span>
          </div>
          <div className="timeline-item">
            <div className="timeline-item-date">1</div>
            <div className="timeline-item-content">
              <div className="timeline-item-time">19:00</div>
              <div className="timeline-item-text">Task 1</div>
              <div className="timeline-item-time">20:00</div>
              <div className="timeline-item-text">Task 2</div>
              <div className="timeline-item-time">15:00</div>
              <div className="timeline-item-text">Task 3</div>
            </div>
          </div>
          <div className="timeline-item">
            <div className="timeline-item-date">2</div>
            <div className="timeline-item-content">
              <div className="timeline-item-time">4:00</div>
              <div className="timeline-item-text">Task 1</div>
              <div className="timeline-item-time">20:00</div>
              <div className="timeline-item-text">Task 2</div>
              <div className="timeline-item-time">10:00</div>
              <div className="timeline-item-text">Task 3</div>
              <div className="timeline-item-time">10:00</div>
              <div className="timeline-item-text">Task 4</div>
            </div>
          </div>
          <div className="timeline-item">
            <div className="timeline-item-date">3</div>
            <div className="timeline-item-content">
              <div className="timeline-item-time">3:00</div>
              <div className="timeline-item-text">Task 1</div>
              <div className="timeline-item-time">16:00</div>
              <div className="timeline-item-text">Task 2</div>
              <div className="timeline-item-time">9:00</div>
              <div className="timeline-item-text">Task 3</div>
            </div>
          </div>
          <div className="timeline-item">
            <div className="timeline-item-date">4</div>
            <div className="timeline-item-content">
              <div className="timeline-item-time">19:00</div>
              <div className="timeline-item-text">Task 1</div>
              <div className="timeline-item-time">8:00</div>
              <div className="timeline-item-text">Task 2</div>
              <div className="timeline-item-time">19:00</div>
              <div className="timeline-item-text">Task 3</div>
              <div className="timeline-item-time">18:00</div>
              <div className="timeline-item-text">Task 4</div>
            </div>
          </div>
          <div className="timeline-item">
            <div className="timeline-item-date">5</div>
            <div className="timeline-item-content">
              <div className="timeline-item-time">20:00</div>
              <div className="timeline-item-text">Task 1</div>
            </div>
          </div>
          <div className="timeline-item">
            <div className="timeline-item-date">6</div>
            <div className="timeline-item-content">
              <div className="timeline-item-time">2:00</div>
              <div className="timeline-item-text">Task 1</div>
              <div className="timeline-item-time">5:00</div>
              <div className="timeline-item-text">Task 2</div>
              <div className="timeline-item-time">1:00</div>
              <div className="timeline-item-text">Task 3</div>
            </div>
          </div>
          <div className="timeline-item">
            <div className="timeline-item-date">7</div>
            <div className="timeline-item-content">
              <div className="timeline-item-time">10:00</div>
              <div className="timeline-item-text">Task 1</div>
            </div>
          </div>
          <div className="timeline-item">
            <div className="timeline-item-date">8</div>
            <div className="timeline-item-content">
              <div className="timeline-item-time">7:00</div>
              <div className="timeline-item-text">Task 1</div>
            </div>
          </div>
          <div className="timeline-item">
            <div className="timeline-item-date">9</div>
            <div className="timeline-item-content">
              <div className="timeline-item-time">20:00</div>
              <div className="timeline-item-text">Task 1</div>
              <div className="timeline-item-time">21:00</div>
              <div className="timeline-item-text">Task 2</div>
            </div>
          </div>
          <div className="timeline-item">
            <div className="timeline-item-date">10</div>
            <div className="timeline-item-content">
              <div className="timeline-item-time">20:00</div>
              <div className="timeline-item-text">Task 1</div>
            </div>
          </div>
          <div className="timeline-item">
            <div className="timeline-item-date">11</div>
            <div className="timeline-item-content">
              <div className="timeline-item-time">3:00</div>
              <div className="timeline-item-text">Task 1</div>
              <div className="timeline-item-time">14:00</div>
              <div className="timeline-item-text">Task 2</div>
              <div className="timeline-item-time">14:00</div>
              <div className="timeline-item-text">Task 3</div>
              <div className="timeline-item-time">16:00</div>
              <div className="timeline-item-text">Task 4</div>
            </div>
          </div>
          <div className="timeline-item">
            <div className="timeline-item-date">12</div>
            <div className="timeline-item-content">
              <div className="timeline-item-time">3:00</div>
              <div className="timeline-item-text">Task 1</div>
              <div className="timeline-item-time">6:00</div>
              <div className="timeline-item-text">Task 2</div>
            </div>
          </div>
          <div className="timeline-item">
            <div className="timeline-item-date">13</div>
            <div className="timeline-item-content">
              <div className="timeline-item-time">11:00</div>
              <div className="timeline-item-text">Task 1</div>
              <div className="timeline-item-time">4:00</div>
              <div className="timeline-item-text">Task 2</div>
              <div className="timeline-item-time">7:00</div>
              <div className="timeline-item-text">Task 3</div>
              <div className="timeline-item-time">15:00</div>
              <div className="timeline-item-text">Task 4</div>
            </div>
          </div>
          <div className="timeline-item">
            <div className="timeline-item-date">14</div>
            <div className="timeline-item-content">
              <div className="timeline-item-time">5:00</div>
              <div className="timeline-item-text">Task 1</div>
              <div className="timeline-item-time">3:00</div>
              <div className="timeline-item-text">Task 2</div>
              <div className="timeline-item-time">18:00</div>
              <div className="timeline-item-text">Task 3</div>
              <div className="timeline-item-time">6:00</div>
              <div className="timeline-item-text">Task 4</div>
            </div>
          </div>
          <div className="timeline-item">
            <div className="timeline-item-date">15</div>
            <div className="timeline-item-content">
              <div className="timeline-item-time">2:00</div>
              <div className="timeline-item-text">Task 1</div>
              <div className="timeline-item-time">0:00</div>
              <div className="timeline-item-text">Task 2</div>
            </div>
          </div>
          <div className="timeline-item">
            <div className="timeline-item-date">16</div>
            <div className="timeline-item-content">
              <div className="timeline-item-time">16:00</div>
              <div className="timeline-item-text">Task 1</div>
              <div className="timeline-item-time">7:00</div>
              <div className="timeline-item-text">Task 2</div>
            </div>
          </div>
          <div className="timeline-item">
            <div className="timeline-item-date">17</div>
            <div className="timeline-item-content">
              <div className="timeline-item-time">0:00</div>
              <div className="timeline-item-text">Task 1</div>
            </div>
          </div>
          <div className="timeline-item">
            <div className="timeline-item-date">18</div>
            <div className="timeline-item-content">
              <div className="timeline-item-time">16:00</div>
              <div className="timeline-item-text">Task 1</div>
              <div className="timeline-item-time">0:00</div>
              <div className="timeline-item-text">Task 2</div>
            </div>
          </div>
          <div className="timeline-item">
            <div className="timeline-item-date">19</div>
            <div className="timeline-item-content">
              <div className="timeline-item-time">13:00</div>
              <div className="timeline-item-text">Task 1</div>
              <div className="timeline-item-time">14:00</div>
              <div className="timeline-item-text">Task 2</div>
            </div>
          </div>
          <div className="timeline-item">
            <div className="timeline-item-date">20</div>
            <div className="timeline-item-content">
              <div className="timeline-item-time">10:00</div>
              <div className="timeline-item-text">Task 1</div>
            </div>
          </div>
          <div className="timeline-item">
            <div className="timeline-item-date">21</div>
            <div className="timeline-item-content">
              <div className="timeline-item-time">8:00</div>
              <div className="timeline-item-text">Task 1</div>
              <div className="timeline-item-time">14:00</div>
              <div className="timeline-item-text">Task 2</div>
            </div>
          </div>
          <div className="timeline-item">
            <div className="timeline-item-date">22</div>
            <div className="timeline-item-content">
              <div className="timeline-item-time">9:00</div>
              <div className="timeline-item-text">Task 1</div>
              <div className="timeline-item-time">5:00</div>
              <div className="timeline-item-text">Task 2</div>
              <div className="timeline-item-time">11:00</div>
              <div className="timeline-item-text">Task 3</div>
            </div>
          </div>
          <div className="timeline-item">
            <div className="timeline-item-date">23</div>
            <div className="timeline-item-content">
              <div className="timeline-item-time">2:00</div>
              <div className="timeline-item-text">Task 1</div>
              <div className="timeline-item-time">16:00</div>
              <div className="timeline-item-text">Task 2</div>
              <div className="timeline-item-time">19:00</div>
              <div className="timeline-item-text">Task 3</div>
              <div className="timeline-item-time">15:00</div>
              <div className="timeline-item-text">Task 4</div>
            </div>
          </div>
          <div className="timeline-item">
            <div className="timeline-item-date">24</div>
            <div className="timeline-item-content">
              <div className="timeline-item-time">15:00</div>
              <div className="timeline-item-text">Task 1</div>
              <div className="timeline-item-time">20:00</div>
              <div className="timeline-item-text">Task 2</div>
            </div>
          </div>
          <div className="timeline-item">
            <div className="timeline-item-date">25</div>
            <div className="timeline-item-content">
              <div className="timeline-item-time">7:00</div>
              <div className="timeline-item-text">Task 1</div>
              <div className="timeline-item-time">0:00</div>
              <div className="timeline-item-text">Task 2</div>
            </div>
          </div>
          <div className="timeline-item">
            <div className="timeline-item-date">26</div>
            <div className="timeline-item-content">
              <div className="timeline-item-time">22:00</div>
              <div className="timeline-item-text">Task 1</div>
              <div className="timeline-item-time">17:00</div>
              <div className="timeline-item-text">Task 2</div>
              <div className="timeline-item-time">21:00</div>
              <div className="timeline-item-text">Task 3</div>
              <div className="timeline-item-time">6:00</div>
              <div className="timeline-item-text">Task 4</div>
            </div>
          </div>
          <div className="timeline-item">
            <div className="timeline-item-date">27</div>
            <div className="timeline-item-content">
              <div className="timeline-item-time">17:00</div>
              <div className="timeline-item-text">Task 1</div>
            </div>
          </div>
          <div className="timeline-item">
            <div className="timeline-item-date">28</div>
            <div className="timeline-item-content">
              <div className="timeline-item-time">14:00</div>
              <div className="timeline-item-text">Task 1</div>
              <div className="timeline-item-time">20:00</div>
              <div className="timeline-item-text">Task 2</div>
            </div>
          </div>
          <div className="timeline-item">
            <div className="timeline-item-date">29</div>
            <div className="timeline-item-content">
              <div className="timeline-item-time">13:00</div>
              <div className="timeline-item-text">Task 1</div>
              <div className="timeline-item-time">5:00</div>
              <div className="timeline-item-text">Task 2</div>
            </div>
          </div>
          <div className="timeline-item">
            <div className="timeline-item-date">30</div>
            <div className="timeline-item-content">
              <div className="timeline-item-time">4:00</div>
              <div className="timeline-item-text">Task 1</div>
              <div className="timeline-item-time">16:00</div>
              <div className="timeline-item-text">Task 2</div>
            </div>
          </div>
          <div className="timeline-item">
            <div className="timeline-item-date">31</div>
            <div className="timeline-item-content">
              <div className="timeline-item-time">3:00</div>
              <div className="timeline-item-text">Task 1</div>
            </div>
          </div>
        </div>
        <div className="timeline-month">
          <div className="timeline-month-title">
            <span>February</span>
          </div>
          <div className="timeline-item">
            <div className="timeline-item-date">1</div>
            <div className="timeline-item-content">
              <div className="timeline-item-time">6:00</div>
              <div className="timeline-item-text">Task 1</div>
              <div className="timeline-item-time">6:00</div>
              <div className="timeline-item-text">Task 2</div>
            </div>
          </div>
          <div className="timeline-item">
            <div className="timeline-item-date">2</div>
            <div className="timeline-item-content">
              <div className="timeline-item-time">5:00</div>
              <div className="timeline-item-text">Task 1</div>
              <div className="timeline-item-time">6:00</div>
              <div className="timeline-item-text">Task 2</div>
            </div>
          </div>
          <div className="timeline-item">
            <div className="timeline-item-date">3</div>
            <div className="timeline-item-content">
              <div className="timeline-item-time">10:00</div>
              <div className="timeline-item-text">Task 1</div>
              <div className="timeline-item-time">6:00</div>
              <div className="timeline-item-text">Task 2</div>
              <div className="timeline-item-time">9:00</div>
              <div className="timeline-item-text">Task 3</div>
            </div>
          </div>
          <div className="timeline-item">
            <div className="timeline-item-date">4</div>
            <div className="timeline-item-content">
              <div className="timeline-item-time">9:00</div>
              <div className="timeline-item-text">Task 1</div>
              <div className="timeline-item-time">4:00</div>
              <div className="timeline-item-text">Task 2</div>
              <div className="timeline-item-time">11:00</div>
              <div className="timeline-item-text">Task 3</div>
              <div className="timeline-item-time">17:00</div>
              <div className="timeline-item-text">Task 4</div>
              <div className="timeline-item-time">23:00</div>
              <div className="timeline-item-text">Task 5</div>
            </div>
          </div>
          <div className="timeline-item">
            <div className="timeline-item-date">5</div>
            <div className="timeline-item-content">
              <div className="timeline-item-time">9:00</div>
              <div className="timeline-item-text">Task 1</div>
              <div className="timeline-item-time">7:00</div>
              <div className="timeline-item-text">Task 2</div>
            </div>
          </div>
          <div className="timeline-item">
            <div className="timeline-item-date">6</div>
            <div className="timeline-item-content">
              <div className="timeline-item-time">11:00</div>
              <div className="timeline-item-text">Task 1</div>
              <div className="timeline-item-time">12:00</div>
              <div className="timeline-item-text">Task 2</div>
              <div className="timeline-item-time">2:00</div>
              <div className="timeline-item-text">Task 3</div>
            </div>
          </div>
          <div className="timeline-item">
            <div className="timeline-item-date">7</div>
            <div className="timeline-item-content">
              <div className="timeline-item-time">5:00</div>
              <div className="timeline-item-text">Task 1</div>
            </div>
          </div>
          <div className="timeline-item">
            <div className="timeline-item-date">8</div>
            <div className="timeline-item-content">
              <div className="timeline-item-time">2:00</div>
              <div className="timeline-item-text">Task 1</div>
            </div>
          </div>
          <div className="timeline-item">
            <div className="timeline-item-date">9</div>
            <div className="timeline-item-content">
              <div className="timeline-item-time">5:00</div>
              <div className="timeline-item-text">Task 1</div>
              <div className="timeline-item-time">22:00</div>
              <div className="timeline-item-text">Task 2</div>
              <div className="timeline-item-time">14:00</div>
              <div className="timeline-item-text">Task 3</div>
              <div className="timeline-item-time">3:00</div>
              <div className="timeline-item-text">Task 4</div>
            </div>
          </div>
          <div className="timeline-item">
            <div className="timeline-item-date">10</div>
            <div className="timeline-item-content">
              <div className="timeline-item-time">8:00</div>
              <div className="timeline-item-text">Task 1</div>
              <div className="timeline-item-time">8:00</div>
              <div className="timeline-item-text">Task 2</div>
            </div>
          </div>
          <div className="timeline-item">
            <div className="timeline-item-date">11</div>
            <div className="timeline-item-content">
              <div className="timeline-item-time">1:00</div>
              <div className="timeline-item-text">Task 1</div>
              <div className="timeline-item-time">3:00</div>
              <div className="timeline-item-text">Task 2</div>
              <div className="timeline-item-time">4:00</div>
              <div className="timeline-item-text">Task 3</div>
              <div className="timeline-item-time">18:00</div>
              <div className="timeline-item-text">Task 4</div>
              <div className="timeline-item-time">13:00</div>
              <div className="timeline-item-text">Task 5</div>
            </div>
          </div>
          <div className="timeline-item">
            <div className="timeline-item-date">12</div>
            <div className="timeline-item-content">
              <div className="timeline-item-time">17:00</div>
              <div className="timeline-item-text">Task 1</div>
              <div className="timeline-item-time">15:00</div>
              <div className="timeline-item-text">Task 2</div>
              <div className="timeline-item-time">23:00</div>
              <div className="timeline-item-text">Task 3</div>
            </div>
          </div>
          <div className="timeline-item">
            <div className="timeline-item-date">13</div>
            <div className="timeline-item-content">
              <div className="timeline-item-time">13:00</div>
              <div className="timeline-item-text">Task 1</div>
              <div className="timeline-item-time">19:00</div>
              <div className="timeline-item-text">Task 2</div>
              <div className="timeline-item-time">18:00</div>
              <div className="timeline-item-text">Task 3</div>
            </div>
          </div>
          <div className="timeline-item">
            <div className="timeline-item-date">14</div>
            <div className="timeline-item-content">
              <div className="timeline-item-time">17:00</div>
              <div className="timeline-item-text">Task 1</div>
              <div className="timeline-item-time">6:00</div>
              <div className="timeline-item-text">Task 2</div>
            </div>
          </div>
          <div className="timeline-item">
            <div className="timeline-item-date">15</div>
            <div className="timeline-item-content">
              <div className="timeline-item-time">1:00</div>
              <div className="timeline-item-text">Task 1</div>
              <div className="timeline-item-time">6:00</div>
              <div className="timeline-item-text">Task 2</div>
              <div className="timeline-item-time">14:00</div>
              <div className="timeline-item-text">Task 3</div>
            </div>
          </div>
          <div className="timeline-item">
            <div className="timeline-item-date">16</div>
            <div className="timeline-item-content">
              <div className="timeline-item-time">7:00</div>
              <div className="timeline-item-text">Task 1</div>
              <div className="timeline-item-time">4:00</div>
              <div className="timeline-item-text">Task 2</div>
              <div className="timeline-item-time">22:00</div>
              <div className="timeline-item-text">Task 3</div>
            </div>
          </div>
          <div className="timeline-item">
            <div className="timeline-item-date">17</div>
            <div className="timeline-item-content">
              <div className="timeline-item-time">14:00</div>
              <div className="timeline-item-text">Task 1</div>
              <div className="timeline-item-time">10:00</div>
              <div className="timeline-item-text">Task 2</div>
              <div className="timeline-item-time">23:00</div>
              <div className="timeline-item-text">Task 3</div>
              <div className="timeline-item-time">13:00</div>
              <div className="timeline-item-text">Task 4</div>
              <div className="timeline-item-time">12:00</div>
              <div className="timeline-item-text">Task 5</div>
            </div>
          </div>
          <div className="timeline-item">
            <div className="timeline-item-date">18</div>
            <div className="timeline-item-content">
              <div className="timeline-item-time">13:00</div>
              <div className="timeline-item-text">Task 1</div>
              <div className="timeline-item-time">12:00</div>
              <div className="timeline-item-text">Task 2</div>
            </div>
          </div>
          <div className="timeline-item">
            <div className="timeline-item-date">19</div>
            <div className="timeline-item-content">
              <div className="timeline-item-time">2:00</div>
              <div className="timeline-item-text">Task 1</div>
              <div className="timeline-item-time">16:00</div>
              <div className="timeline-item-text">Task 2</div>
              <div className="timeline-item-time">12:00</div>
              <div className="timeline-item-text">Task 3</div>
              <div className="timeline-item-time">1:00</div>
              <div className="timeline-item-text">Task 4</div>
              <div className="timeline-item-time">9:00</div>
              <div className="timeline-item-text">Task 5</div>
            </div>
          </div>
          <div className="timeline-item">
            <div className="timeline-item-date">20</div>
            <div className="timeline-item-content">
              <div className="timeline-item-time">19:00</div>
              <div className="timeline-item-text">Task 1</div>
              <div className="timeline-item-time">14:00</div>
              <div className="timeline-item-text">Task 2</div>
              <div className="timeline-item-time">17:00</div>
              <div className="timeline-item-text">Task 3</div>
            </div>
          </div>
          <div className="timeline-item">
            <div className="timeline-item-date">21</div>
            <div className="timeline-item-content">
              <div className="timeline-item-time">4:00</div>
              <div className="timeline-item-text">Task 1</div>
              <div className="timeline-item-time">11:00</div>
              <div className="timeline-item-text">Task 2</div>
              <div className="timeline-item-time">13:00</div>
              <div className="timeline-item-text">Task 3</div>
            </div>
          </div>
          <div className="timeline-item">
            <div className="timeline-item-date">22</div>
            <div className="timeline-item-content">
              <div className="timeline-item-time">22:00</div>
              <div className="timeline-item-text">Task 1</div>
              <div className="timeline-item-time">0:00</div>
              <div className="timeline-item-text">Task 2</div>
              <div className="timeline-item-time">6:00</div>
              <div className="timeline-item-text">Task 3</div>
              <div className="timeline-item-time">6:00</div>
              <div className="timeline-item-text">Task 4</div>
            </div>
          </div>
          <div className="timeline-item">
            <div className="timeline-item-date">23</div>
            <div className="timeline-item-content">
              <div className="timeline-item-time">0:00</div>
              <div className="timeline-item-text">Task 1</div>
            </div>
          </div>
          <div className="timeline-item">
            <div className="timeline-item-date">24</div>
            <div className="timeline-item-content">
              <div className="timeline-item-time">7:00</div>
              <div className="timeline-item-text">Task 1</div>
              <div className="timeline-item-time">15:00</div>
              <div className="timeline-item-text">Task 2</div>
              <div className="timeline-item-time">5:00</div>
              <div className="timeline-item-text">Task 3</div>
            </div>
          </div>
          <div className="timeline-item">
            <div className="timeline-item-date">25</div>
            <div className="timeline-item-content">
              <div className="timeline-item-time">5:00</div>
              <div className="timeline-item-text">Task 1</div>
              <div className="timeline-item-time">20:00</div>
              <div className="timeline-item-text">Task 2</div>
              <div className="timeline-item-time">2:00</div>
              <div className="timeline-item-text">Task 3</div>
            </div>
          </div>
          <div className="timeline-item">
            <div className="timeline-item-date">26</div>
            <div className="timeline-item-content">
              <div className="timeline-item-time">13:00</div>
              <div className="timeline-item-text">Task 1</div>
              <div className="timeline-item-time">18:00</div>
              <div className="timeline-item-text">Task 2</div>
            </div>
          </div>
          <div className="timeline-item">
            <div className="timeline-item-date">27</div>
            <div className="timeline-item-content">
              <div className="timeline-item-time">2:00</div>
              <div className="timeline-item-text">Task 1</div>
              <div className="timeline-item-time">20:00</div>
              <div className="timeline-item-text">Task 2</div>
              <div className="timeline-item-time">3:00</div>
              <div className="timeline-item-text">Task 3</div>
            </div>
          </div>
          <div className="timeline-item">
            <div className="timeline-item-date">28</div>
            <div className="timeline-item-content">
              <div className="timeline-item-time">15:00</div>
              <div className="timeline-item-text">Task 1</div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </Page>
);